# WarPlugin

abstract class WarPlugin : Plugin<T>

A Plugin which extends the JavaPlugin to add tasks which assemble a web application into a WAR file.

#### See also

<a href="https://docs.gradle.org/current/userguide/war_plugin.html">WAR plugin reference</a>

## Constructors

WarPlugin
Link copied to clipboard
@Inject
constructor(objectFactory: ObjectFactory, attributesFactory: AttributesFactory)

## Properties

PROVIDED_COMPILE_CONFIGURATION_NAME
Link copied to clipboard
val PROVIDED_COMPILE_CONFIGURATION_NAME: String = "providedCompile"
PROVIDED_RUNTIME_CONFIGURATION_NAME
Link copied to clipboard
val PROVIDED_RUNTIME_CONFIGURATION_NAME: String = "providedRuntime"
WAR_TASK_NAME
Link copied to clipboard
val WAR_TASK_NAME: String = "war"

## Functions

apply
Link copied to clipboard
open fun apply(project: Project)